FreeTDS API: Internal bcp functions

Main Page | Modules | Class List | Directories | File List | Class Members | File Members | Related Pages

# Internal bcp functions
[Bulk copy functions]

Static functions internal to the bcp library. More...

## Functions
static int | _bcp_add_fixed_columns (DBPROCESS *dbproc, int behaviour, BYTE *rowbuffer, int start)
static int | _bcp_add_variable_columns (DBPROCESS *dbproc, int behaviour, BYTE *rowbuffer, int start, int *var_cols)
static RETCODE | _bcp_build_bulk_insert_stmt (TDSSOCKET *, TDS_PBCB *, TDSCOLUMN *, int)
static RETCODE | _bcp_exec_in (DBPROCESS *dbproc, DBINT *rows_copied)
static RETCODE | _bcp_exec_out (DBPROCESS *dbproc, DBINT *rows_copied)
static char * | _bcp_fgets (char *buffer, size_t size, FILE *f)
static void | _bcp_free_columns (DBPROCESS *dbproc)
static RETCODE | _bcp_free_storage (DBPROCESS *dbproc)
static RETCODE | _bcp_get_col_data (DBPROCESS *dbproc, TDSCOLUMN *bindcol)
static RETCODE | _bcp_get_term_var (BYTE *pdata, BYTE *term, int term_len)
static offset_type | _bcp_measure_terminated_field (FILE *hostfile, BYTE *terminator, int term_len)
static RETCODE | _bcp_read_hostfile (DBPROCESS *dbproc, FILE *hostfile, int *row_error)
static int | _bcp_readfmt_colinfo (DBPROCESS *dbproc, char *buf, BCP_HOSTCOLINFO *ci)
static RETCODE | _bcp_send_bcp_record (DBPROCESS *dbproc, int behaviour)
static RETCODE | _bcp_send_colmetadata (DBPROCESS *)
static RETCODE | _bcp_start_copy_in (DBPROCESS *)
static RETCODE | _bcp_start_new_batch (DBPROCESS *)
static int | rtrim (char *, int)

## Detailed Description

Static functions internal to the bcp library.

## Function Documentation

static int _bcp_add_fixed_columns | ( | DBPROCESS * | dbproc,
|  | int | behaviour,
|  | BYTE * | rowbuffer,
|  | int | start
| ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | behaviour |
  | rowbuffer |
  | start |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static int _bcp_add_variable_columns | ( | DBPROCESS * | dbproc,
|  | int | behaviour,
|  | BYTE * | rowbuffer,
|  | int | start,
|  | int * | var_cols
| ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | behaviour |
  | rowbuffer |
  | start |
  | var_cols |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_build_bulk_insert_stmt | ( | TDSSOCKET * | tds,
|  | TDS_PBCB * | clause,
|  | TDSCOLUMN * | bcpcol,
|  | int | first
| ) | `[static]`

  | Parameters:
  | tds |
  | clause |
  | bcpcol |
  | first |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_exec_in | ( | DBPROCESS * | dbproc,
|  | DBINT * | rows_copied
| ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | rows_copied |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_exec_out | ( | DBPROCESS * | dbproc,
|  | DBINT * | rows_copied
| ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | rows_copied |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static char* _bcp_fgets | ( | char * | buffer,
|  | size_t | size,
|  | FILE * | f
| ) | `[static]`

  | Parameters:
  | buffer |
  | size |
  | f |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static void _bcp_free_columns | ( | DBPROCESS * | dbproc | ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_free_storage | ( | DBPROCESS * | dbproc | ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_get_col_data | ( | DBPROCESS * | dbproc,
|  | TDSCOLUMN * | bindcol
| ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | bindcol |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_get_term_var | ( | BYTE * | pdata,
|  | BYTE * | term,
|  | int | term_len
| ) | `[static]`

  | Parameters:
  | pdata |
  | term |
  | term_len |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static offset_type _bcp_measure_terminated_field | ( | FILE * | hostfile,
|  | BYTE * | terminator,
|  | int | term_len
| ) | `[static]`

  | Parameters:
  | hostfile |
  | terminator |
  | term_len |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_read_hostfile | ( | DBPROCESS * | dbproc,
|  | FILE * | hostfile,
|  | int * | row_error
| ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | hostfile |
  | row_error |
Returns: MORE_ROWS, NO_MORE_ROWS, or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static int _bcp_readfmt_colinfo | ( | DBPROCESS * | dbproc,
|  | char * | buf,
|  | BCP_HOSTCOLINFO * | ci
| ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | buf |
  | ci |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_send_bcp_record | ( | DBPROCESS * | dbproc,
|  | int | behaviour
| ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | behaviour |
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_send_colmetadata | ( | DBPROCESS * | dbproc | ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_start_copy_in | ( | DBPROCESS * | dbproc | ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_start_new_batch | ( | DBPROCESS * | dbproc | ) | `[static]`

  | Parameters:
  | dbproc | contains all information needed by db-lib to manage communications with the server.
Returns: SUCCEED or FAIL. See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static int rtrim | ( | char * | istr,
|  | int | ilen
| ) | `[static]`

  | Parameters:
  | istr |
  | ilen |
Returns: modified length See also: BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()